Bug 28307 - Ifup does not work with PPP over Ethernet based DSL connections.
Ifup does not work with PPP over Ethernet based DSL connections.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 10:03 EST by W. Michael Petullo
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-11 12:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2001-02-19 10:03:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1 i686; Nav)


I have added support for PPP over Ethernet (PPPoE) based DSL connections to
Redhat's ifup script.  

My changes are dependent on the PPPoE patch for pppd and kernel 2.4 with
PPPoE and packet socket support.  A patched version of pppd, which adds the
PPPoE plugin, may be found at
http://www.math.uwaterloo.ca/~mostrows/ppp-2.4.0-pppoe4.tgz.  As far as I
have seen, no pppd rpms contain this PPPoE plugin.

The maintainer of initscripts may find a more elegant way of doing this,
but I feel it is a very important feature.  Here is my patch to ifup-post:

--- ifup-post.orig      Mon Feb 19 09:00:15 2001
+++ ifup-post   Mon Feb 19 09:07:01 2001
@@ -15,6 +15,10 @@
     ISALIAS=no
 fi

+if [ x"$PPPOE" = xyes ]; then
+        pppd plugin /usr/lib/pppd/plugins/pppoe.so user $PAPNAME $DEVICE
+fi
+
 if [ "$ISALIAS" = no ] ; then
     /etc/sysconfig/network-scripts/ifup-aliases ${DEVICE}

Once the above patch has been applied, adding lines such as PPPOE=yes and
PAPNAME=foo to, for example, /etc/sysconfig/network-scripts/ifcfg-eth0
should allow PPPoE to work.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Bill Nottingham 2001-02-19 11:36:58 EST
Have you tried the rp-pppoe pacakage at all?
Comment 2 W. Michael Petullo 2001-03-11 12:12:31 EST
The rp-pppoe package seems to work.

Using a patch like the one above and a pppd with PPPoE support seems cleaner to
me.  I like to keep things as consistent as possible; the above patch handles a
PPPoE connection almost the same as a traditional PPP connection.  PPPoE support
can be compiled as a module; if one does not use it they lose very little.

Why would we want PPP in the kernel but not PPPoE?  Why handle PPP with an
ifcfg-* but PPPoE in with an init script?  What do others think?
Comment 3 Bill Nottingham 2001-08-09 01:21:41 EDT
Something along these lines was added for the Roswell beta.

Note You need to log in before you can comment on or make changes to this bug.